### Method

# Gimp Scanner parse_data

since: 2.4

#### Declaration [src]

    gboolean
    gimp_scanner_parse_data (
      GimpScanner* scanner,
      gint length,
      guint8** dest
    )

#### Description

No description available.

Available since: 2.4

#### Parameters

`length`

  Type: `gint`

  Length of the data to parse.

  The argument will be set by the function.

`dest`

  Type: An array of `guint8*`

  Return location for the parsed data.

  The argument will be set by the function.
  The length of the array is specified in the `length` argument.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.